package research_variety_tag_relation

// ResearchVarietyTagRelation 研究员研究方向分组关系表
type ResearchVarietyTagRelation struct {
	Id           int `gorm:"primaryKey;column:id;type:int(10) unsigned;not null" json:"-"`
	VarietyTagID int `gorm:"column:variety_tag_id;type:int(10) unsigned;not null;default:0" json:"varietyTagID"` //标签库ID
	AdminID      int `gorm:"column:admin_id;type:int(10) unsigned;not null;default:0" json:"adminId"` // 研究员ID
}

// TableName get sql table name.获取数据库表名
func (m *ResearchVarietyTagRelation) TableName() string {
	return "research_variety_tag_relation"
}

// ResearchVarietyTagRelationColumns get sql column name.获取数据库列名
var ResearchVarietyTagRelationColumns = struct {
	ID           string
	VarietyTagID string
	AdminID      string
}{
	ID:           "id",
	VarietyTagID: "variety_tag_id",
	AdminID:      "admin_id",
}
